package com.example.mobile_labs.api.models

import com.example.mobile_labs.api.MyServerService
import com.example.mobile_labs.database.event.model.Event
import com.example.mobile_labs.database.event.model.EventWithPerformance
import kotlinx.serialization.Serializable
import java.time.LocalDate

@Serializable
data class EventRemote(
    val id: Int = 0,
    val date: String = "",
    val performance_id: Int = 0,
)

fun EventRemote.toEvent(): Event = Event(
    id,
    LocalDate.parse(date),
    performance_id
)

suspend fun EventRemote.toEventWithPerformance(service: MyServerService): EventWithPerformance = EventWithPerformance(
    service.getEvent(id).toEvent(),
    service.getPerformance(performance_id).toPerformance()
)