package com.example.mobile_labs.common

import androidx.lifecycle.ViewModelProvider
import androidx.lifecycle.createSavedStateHandle
import androidx.lifecycle.viewmodel.CreationExtras
import androidx.lifecycle.viewmodel.initializer
import androidx.lifecycle.viewmodel.viewModelFactory
import com.example.mobile_labs.TheatreApplication
import com.example.mobile_labs.ui.event.list.EventListViewModel
import com.example.mobile_labs.ui.performance.list.PerformanceListViewModel
import com.example.mobile_labs.ui.performance.view.PerformanceViewModel
import com.example.mobile_labs.ui.person.list.PeopleListViewModel

object AppViewModelProvider {
    val Factory = viewModelFactory {
        initializer {
            PeopleListViewModel(theatreApplication().container.personRestRepository)
        }
        initializer {
            EventListViewModel(theatreApplication().container.eventRestRepository)
        }
        initializer {
            PerformanceListViewModel(theatreApplication().container.performanceRestRepository)
        }
        initializer {
            PerformanceViewModel(this.createSavedStateHandle(), theatreApplication().container.performanceRestRepository)
        }
    }
}

fun CreationExtras.theatreApplication(): TheatreApplication =
    (this[ViewModelProvider.AndroidViewModelFactory.APPLICATION_KEY] as TheatreApplication)