package com.example.mobile_labs.database.event.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey
import androidx.room.TypeConverter
import androidx.room.TypeConverters
import com.example.mobile_labs.converters.LocalDateConverter
import com.example.mobile_labs.database.performance.model.Performance
import com.example.mobile_labs.database.person.model.Person
import java.io.Serializable
import java.time.LocalDate

@TypeConverters(LocalDateConverter::class)
@Entity(tableName = "events", foreignKeys = [
    ForeignKey(
        entity = Performance::class,
        parentColumns = ["performance_uid"],
        childColumns = ["performance_id"],
        onDelete = ForeignKey.CASCADE,
        onUpdate = ForeignKey.CASCADE,
    ),
])
data class Event(
    @PrimaryKey(autoGenerate = true)
    val uid: Int?,
    val date: LocalDate,
    @ColumnInfo(name = "performance_id")
    val performanceId: Int?,
)

