package com.example.mobile_labs.database.performance.dao

import androidx.paging.PagingSource
import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.mobile_labs.database.performance.model.Performance
import com.example.mobile_labs.database.performance.model.PerformanceWithPeople
import com.example.mobile_labs.database.person.model.Person
import kotlinx.coroutines.flow.Flow

@Dao
interface PerformanceDao {
    @Query("select * from performances order by title collate nocase asc")
    fun getAll(): PagingSource<Int, Performance>

    @Query("select * from performances where performances.performance_uid = :uid")
    fun getByUid(uid: Int): Flow<PerformanceWithPeople>

    @Insert
    suspend fun insert(vararg performance: Performance)

    @Update
    suspend fun update(performance: Performance)

    @Delete
    suspend fun delete(performance: Performance)

    @Query("DELETE FROM performances")
    suspend fun deleteAll()
}