package com.example.mobile_labs.database.performance.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.mobile_labs.database.performance.model.Performance
import com.example.mobile_labs.database.performance.model.PerformancePersonCrossRef
import com.example.mobile_labs.database.performance.model.PerformanceWithPeople
import kotlinx.coroutines.flow.Flow

@Dao
interface PerformancePersonDao {
    @Query("select * from performance_person")
    fun getAll(): Flow<List<PerformancePersonCrossRef>>

    @Insert
    suspend fun insert(performancePersonCrossRef: PerformancePersonCrossRef)

    @Update
    suspend fun update(performancePersonCrossRef: PerformancePersonCrossRef)

    @Delete
    suspend fun delete(performancePersonCrossRef: PerformancePersonCrossRef)

    @Query("DELETE FROM performance_person")
    suspend fun deleteAll()
}