package com.example.mobile_labs.database.performance.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey
import com.example.mobile_labs.database.person.model.Person
import java.io.Serializable

@Entity(tableName = "performances", foreignKeys = [
        ForeignKey(
            entity = Person::class,
            parentColumns = ["uid"],
            childColumns = ["director_id"],
            onDelete = ForeignKey.CASCADE,
            onUpdate = ForeignKey.CASCADE,
        ),
        ForeignKey(
            entity = Person::class,
            parentColumns = ["uid"],
            childColumns = ["author_id"],
            onDelete = ForeignKey.CASCADE,
            onUpdate = ForeignKey.CASCADE,
        ),
    ]
)
data class Performance(
    @PrimaryKey(autoGenerate = true)
    val performance_uid: Int?,
    val title: String,
    val description: String,
    @ColumnInfo(name = "author_id", index = true)
    val authorId: Int?,
    @ColumnInfo(name = "director_id", index = true)
    val directorId: Int?,
    @ColumnInfo(name = "image_url")
    val imageURL: String,
    @ColumnInfo(name = "preview_image_url")
    val previewImageURL: String,
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false
        other as Performance
        if (performance_uid != other.performance_uid) return false
        return true
    }

    override fun hashCode(): Int {
        return performance_uid ?: -1
    }
}
