package com.example.mobile_labs.database.performance.model

import androidx.room.ColumnInfo
import androidx.room.Embedded
import androidx.room.Junction
import androidx.room.Relation
import com.example.mobile_labs.database.person.model.Person

data class PerformanceWithPeople (
    @Embedded
    val performance: Performance,
    @Relation(entity = Person::class, parentColumn = "author_id", entityColumn = "uid")
    val author: Person,
    @Relation(entity = Person::class, parentColumn = "director_id", entityColumn = "uid")
    val director: Person,
    @Relation(
        parentColumn = "performance_uid",
        entityColumn = "uid",
        associateBy = Junction(PerformancePersonCrossRef::class),
    )
    val actors: List<Person>
)