package com.example.mobile_labs.database.person.dao

import androidx.paging.PagingSource
import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.mobile_labs.database.person.model.Person
import kotlinx.coroutines.flow.Flow

@Dao
interface PersonDao {
    @Query("select * from people order by last_name collate nocase asc")
    fun getAll(): PagingSource<Int, Person>

    @Query("select * from people where people.uid = :uid")
    fun getByUid(uid: Int): Flow<Person>

    @Insert
    suspend fun insert(vararg person: Person)

    @Update
    suspend fun update(person: Person)

    @Delete
    suspend fun delete(person: Person)

    @Query("DELETE FROM people")
    suspend fun deleteAll()
}