package com.example.mobile_labs.database.remotekeys.model

import android.app.Person
import androidx.room.Entity
import androidx.room.PrimaryKey
import androidx.room.TypeConverter
import androidx.room.TypeConverters
import com.example.mobile_labs.database.event.model.Event
import com.example.mobile_labs.database.performance.model.Performance

enum class RemoteKeyType(private val type: String) {
    PERSON(Person::class.simpleName ?: "Person"),
    EVENT(Event::class.simpleName ?: "Event"),
    PERFORMANCE(Performance::class.simpleName ?: "Performances");

    @TypeConverter
    fun toRemoteKeyType(value: String) = RemoteKeyType.values().first { it.type == value }

    @TypeConverter
    fun fromRemoteKeyType(value: RemoteKeyType) = value.type
}

@Entity(tableName = "remote_keys")
data class RemoteKeys(
    @PrimaryKey val entityId: Int,
    @TypeConverters(RemoteKeyType::class)
    val type: RemoteKeyType,
    val prevKey: Int?,
    val nextKey: Int?
)
