package com.example.mobile_labs.ui.navigation

import androidx.annotation.StringRes
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.DateRange
import androidx.compose.material.icons.filled.Favorite
import androidx.compose.material.icons.filled.Info
import androidx.compose.material.icons.filled.List
import androidx.compose.material.icons.filled.Person
import androidx.compose.ui.graphics.vector.ImageVector
import com.example.mobile_labs.R

enum class Screen(
    val route: String,
    @StringRes val resourceId: Int,
    val icon: ImageVector = Icons.Filled.Favorite,
    val showInBottomBar: Boolean = true
) {
    Schedule(
        "schedule", R.string.schedule_main_title, Icons.Filled.DateRange
    ),
    Repertoire(
        "repertoire", R.string.repertoire_main_title, Icons.Filled.List
    ),
    PerformanceView(
        "performance-view/{id}", R.string.performance_view_main_title, showInBottomBar = false
    ),
    PeopleList(
      "peopleList", R.string.people_main_title, Icons.Filled.Person
    ),
    About(
        "about", R.string.about_main_title, Icons.Filled.Info
    );

    companion object {
        val bottomBarItems = listOf(
            Schedule,
            Repertoire,
            PeopleList,
            About,
        )

        fun getItem(route: String): Screen? {
            val findRoute = route.split("/").first()
            return values().find { value -> value.route.startsWith(findRoute) }
        }
    }
}