package com.example.mobile_labs.user.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.mobile_labs.database.person.model.Person
import com.example.mobile_labs.user.model.User
import kotlinx.coroutines.flow.Flow

@Dao
interface UserDao {
    @Query("select * from users order by last_name collate nocase asc")
    fun getAll(): Flow<List<User>>

    @Query("select * from users where users.uid = :uid")
    suspend fun getByUid(uid: Int): User

    @Insert
    suspend fun insert(user: User)

    @Update
    suspend fun update(user: User)

    @Delete
    suspend fun delete(user: User)
}